Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request PUT \ --url https://api.app.shinzo.ai/v1/agent/{agentId}/filesystem/files/{path} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "content": "<string>", "encoding": "<string>" } '
Replace the contents of an existing file in an agent’s workspace.
utf-8
base64
curl -X PUT "https://api.app.shinzo.ai/v1/agent/agt_abc123/filesystem/files/workspace/config.json" \ -H "Authorization: Bearer <jwt_token>" \ -H "Content-Type: application/json" \ -d '{ "content": "{\"debug\": false, \"log_level\": \"warn\"}", "encoding": "utf-8" }'
{ "path": "/workspace/config.json", "size": 40, "updated_at": "2025-01-20T12:30:00Z" }
path
size
updated_at
200
400
401
403
404